hledger-0.26: The main command-line interface for the hledger accounting tool.

Safe Haskell | None
Language | Haskell2010

Hledger.Cli.Register

Description

A ledger-compatible `register` command.

Synopsis

- registermode :: Mode RawOpts
- register :: CliOpts -> Journal -> IO ()
- postingsReportAsText :: CliOpts -> PostingsReport -> String
- tests_Hledger_Cli_Register :: Test

# Documentation

registermode :: Mode RawOpts Source

register :: CliOpts -> Journal -> IO () Source

Print a (posting) register report.

postingsReportAsText :: CliOpts -> PostingsReport -> String Source

Render a register report as plain text suitable for console output.

tests_Hledger_Cli_Register :: Test Source